@import "variables";

/***********************************
	LAYOUT & TYPOGRAPHY
***********************************/

#deu-header *:not(.far):not(.fas):not(.fab) {
  font-family: Arial,sans-serif;
}


/***********************************
	HEADER
***********************************/

#deu-header #header {
  background: #ffffff;
}
.ecl-site-header__container{
 
}
// #deu-header #header .region-header {
//   overflow: hidden;
// }


/***********************************
	SITE BRANDING
***********************************/

// #deu-header #header #block-deu-branding {
//   padding: 16px 10px 14px 10px;
//   float: left;
// }

// #deu-header #header #block-deu-branding a {
//   text-decoration: none;
//   display: inline-block;
//   overflow: hidden;
// }

// #deu-header #header #block-deu-branding img {
//   height: 45px;
//   margin-right: 10px;
// }

#deu-header #header #block-deu-branding .site-branding__text {
  display: inline-block;
}

// #deu-header #header #block-deu-branding div a {
//   line-height: 45px;
//   font-size: 22px;
//   color: #0F62AE;
//   padding-left: 5px;
//   display: inline-block;
//   text-transform: uppercase;
//   font-weight: 300;
// }

#deu-header #header #block-deu-branding div a strong {
  font-weight: bold;
}


/***********************************
	SEARCH
***********************************/

// #deu-header #header #block-search {
//   float: right;
//   margin: 18px 0;
// }

// #deu-header #header #block-search input {
//   border-radius: 4px 0 0 4px;
// }

#deu-header #header #block-search select {
  border-radius: 0;
  background-color: #D5D6F7;
  color: #202272;
}

#deu-header #header #block-search select option {
  background-color: #ffffff;
}


/***********************************
	LANGUAGE SWITCHER
***********************************/

// #deu-header #header .block-language {
//   float: right;
//   margin: 18px 15px;
//   padding: 0;
// }

// #deu-header #header .block-language select {
//   max-width: 160px;
//   border-radius: 4px;
// }

#deu-header #header .block-language .btn.btn-primary {
  width: 38px;
  background-color: #202272;
  border-color: #202272;
}

#deu-header #header .block-language .btn.btn-primary:hover {
  background-color: #196fd2;
  border-color: #196fd2;
}


/***********************************
	PRIMARY MENU
***********************************/


#deu-header #primary_menu.second-level-open {
  margin-bottom: 60px;
}

#deu-header #primary_menu ul.menu {
  display: flex;
  margin: 0;
  padding: 0;
}


#deu-header.frontpage #primary_menu nav>ul>li:first-of-type .is-active {
  background: #196FD2;
}


// #deu-header #primary_menu .menu--main>ul.menu>li:first-of-type a:before {
//   content: "\f015";
//   font-family: "Font Awesome 5 Free";
//   font-weight: 900;
//   font-size: 14px;
// }


#deu-header #primary_menu ul.menu li a:hover {
  color: #ffffff;
}


#deu-header #primary_menu ul.menu li ul {
  display: none;
}


/* RESPONSIVE NAV BUTTON ********************/

#deu-header .menu--btn {
  display: none;
  // color: #fff !important;
  font-size: 20px;
  text-align: center;
  float: right;
  line-height: 1rem;
  text-decoration: none;

  div {
    font-size: 0.75rem;
  }
}

#deu-header .menu--btn span.fas {
  //font-family: "Font Awesome 5 Free";
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  //font-style: normal;
  //font-variant: normal;
  text-rendering: auto;
  line-height: 1;
  //font-weight: 900;
  font: normal normal 400 1rem/1.5rem arial,sans-serif;
}
#deu-header .menu--btn span.fa-bars:before {
  content: "\f0c9";
}
#deu-header .menu--btn span.fa-times:before {
  content: "\f00d";
}


/***********************************
	SECOND LEVEL MENU
***********************************/

#deu-header #primary_menu nav>.menu>.menu-item--active-trail.open>a,
#deu-header #primary_menu nav>.menu>.menu-item--active-trail>ul {
  display: block;
}

#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
  z-index: 9;
  background-color: #289dfa;
  position: absolute;
  left: 0;
  right: 0;
  width: 100%;
  padding: 5px 5px 0 5px;
  min-height: 40px;
  text-align: center;
  margin: 0;
}

#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open,
#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu {
  z-index: 99;
  background-color: #1986dc;
}

#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail,
#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
  background-color: #196FD2;
}

#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu li,
#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu li,
.deu-dropdown-item {
  display: inline-block;
}


#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item:first-of-type>a {
  width: auto !important;
  font-size: initial;
  line-height: inherit;
}

#deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item:first-of-type>a:before {
  content: "";
}


/***********************************
  RESPONSIVE
***********************************/
@media screen and (max-width: 768px) {
  #deu-header #header #block-search .input-group-prepend,
  #deu-header #header #block-search .form-control {
    display: none;
  }
}

@media screen and (max-width: $laptop) {
  /* HEADER ********************/
  #deu-header #header #block-deu-branding {
    margin-left: 0;
    padding-left: 0;
  }
  // #deu-header #header .block-language {
  //   border-radius: 4px;
  // }
  // #deu-header #header .block-language .form-control {
  //   height: 40px;
  //   border-radius: 4px;
  //   max-width: 160px;
  // }
  // #deu-header #header #block-search .btn {
  //   border-radius: 4px;
  // }
  // #deu-header #header #block-search .btn {
  //   height: 40px;
  //   border-radius: 4px;
  // }
  #deu-header #header #block-search .btn.search-fixed-top {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 101;
    border: 1px solid #fff;
  }
  /* RESPONSIVE NAV BUTTON ********************/
  #deu-header .menu--btn {
    display: block;
  }
  /* NAV ********************/
  #deu-header #primary_menu {
    overflow: hidden;
    height: auto;
  }
  #deu-header #primary_menu {
    margin-bottom: 0;
    top: 81px !important;
  }
  #deu-header #primary_menu.second-level-open {
    margin-bottom: 0;
  }
  #deu-header #primary_menu>.container {
    padding-left: 0;
    padding-right: 0;
  }
  #deu-header #primary_menu ul.menu li {
    flex: none;
  }
  #deu-header #primary_menu ul.menu li a {
    text-align: left;
    padding-left: 15px;
  }
  #deu-header #primary_menu ul.menu li ul {
    display: block;
    overflow: hidden;
  }
  #deu-header #primary_menu .menu--main>ul.menu>.menu-item:first-child {
    padding-bottom: 0 !important;
  }
  #deu-header #primary_menu .menu--main>ul.menu>.menu-item:first-child a {
    border-top: 0;
    width: auto !important;
    background: transparent !important;
  }
  #deu-header #primary_menu .menu--main>ul.menu>.menu-item:first-child a:before {
    margin-right: 5px;
  }
  #deu-header #primary_menu .menu--main>ul.menu>.menu-item {
    padding-bottom: 10px !important;
  }
  #deu-header #primary_menu .menu--main>ul.menu>.menu-item>a {
    border-top: 1px solid #196fd2;
    font-weight: bold;
    padding-left: 0;
    margin: 0;
    font-size: 1rem !important;
  }
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail,
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
    padding-left: 15px;
    padding-right: 15px;
    margin: 0;
  }
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
    // position: relative;
    display: block;
  }
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu li,
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu li {
    display: block;
    width: auto;
  }
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item a {
    display: block;
    text-align: left;
    background: transparent;
    border-color: transparent !important;
    margin: 0;
    padding: 10px 14px;
    color: #dff3ff;
  }
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open,
  #deu-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu {
    padding: 0;
    background-color: transparent;
  }
}
// @media screen and (max-width: 715px) {
//   /* HEADER ********************/
//   // #deu-header #header {
//   //   height: 73px;
//   // }
//   #deu-header #header>.container {
//     padding-left: 10px;
//     padding-right: 10px;
//   }
//   #deu-header #header #block-deu-branding {
//     padding-left: 5px;
//     display: flex;
//     align-items: center;
//     justify-content: center;
//     height: 73px;
//   }
//   // #deu-header #header #block-deu-branding img {
//   //   height: 36px;
//   //   margin-right: 7px;
//   // }
//   #deu-header #header #block-deu-branding .site-branding__text a {
//     font-size: 18px;
//     width: 150px;
//     line-height: 1;
//     padding-left: 0;
//   }
//   #deu-header #header #block-deu-branding .site-branding__text a strong {
//     display: inline-block;
//   }
//   #deu-header #header #block-deu-branding .site-branding__name {
//     display: flex;
//   }
//   // #deu-header #header .block-language {
//   //   margin-left: 0;
//   //   margin-right: 5px;
//   //   margin-top: 15px;
//   //   margin-bottom: 15px;
//   //   position: sticky;
//   //   z-index: 99;
//   //   top: 0;
//   // }
//   #deu-header #header .block-language .form-control {
//     font-size: 14px;
//     height: 40px;
//   }
//   #deu-header #header #block-search {
//     margin-top: 15px;
//     margin-bottom: 15px;
//   }
//   /* RESPONSIVE NAV BUTTON ********************/
//   #deu-header .menu--btn {
//     margin-top: 15px;
//     margin-left: 5px;
//   }
//   /* NAV ********************/
//   #deu-header #primary_menu {
//     top: 72px !important;
//   }
//   #deu-header #primary_menu .menu--main>ul.menu {
//     height: calc(100vh - 72px);
//     padding-left: 15px;
//   }
// }
// @media screen and (max-width: 500px) {
//   /* HEADER ********************/
//   #deu-header #header>.container {
//     padding-left: 5px;
//     padding-right: 5px;
//   }
//   #deu-header #header #block-deu-branding {
//     padding-top: 10px;
//   }
//   #deu-header #header #block-deu-branding .site-branding__text a {
//     font-size: 17px;
//     width: 142px;
//   }
//   #deu-header #header .block-language .form-control {
//     text-transform: uppercase;
//     width: 58px;
//     padding: 3px;
//   }
//   /* NAV ********************/
//   #deu-header #primary_menu .menu--main>ul.menu {
//     padding-left: 10px;
//     padding-right: 10px;
//   }
// }
// @media screen and (max-width: 375px) {
//   /* HEADER ********************/
//   #deu-header #header #block-deu-branding .site-branding__text a {
//     font-size: 15px;
//     width: 100px;
//   }
// }
// @media screen and (max-width: 330px) {
//   /* HEADER ********************/
//   #deu-header #header #block-deu-branding {
//     padding-left: 0;
//     padding-right: 3px;
//   }
//   #deu-header #header #block-deu-branding img {
//     margin-right: 5px;
//   }
//   #deu-header #header #block-deu-branding .site-branding__text a {
//     width: 100px;
//   }
// }
